Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.javaeewebservicesclient12
Class ServiceRefTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.javaeewebservicesclient12.ServiceRefTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, ServiceRefType<T>

    public class ServiceRefTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, ServiceRefType<T>

This class implements the `service-refType` xsd type

Original Documentation:

The service-ref element declares a reference to a Web
service. It contains optional description, display name and
icons, a declaration of the required Service interface,
an optional WSDL document location, an optional set
of JAX-RPC mappings, an optional QName for the service element,
an optional set of Service Endpoint Interfaces to be resolved
by the container to a WSDL port, and an optional set of handlers.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`ServiceRefTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`ServiceRefTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.util.List<ServiceRefHandlerType<ServiceRefType<T>>>` | `getHandlerList()` Returns all `handler` elements
`java.util.List<IconType<ServiceRefType<T>>>` | `getIconList()` Returns all `icon` elements
`java.util.List<InjectionTargetType<ServiceRefType<T>>>` | `getInjectionTargetList()` Returns all `injection-target` elements
`java.lang.String` | `getJaxrpcMappingFile()` Returns the `jaxrpc-mapping-file` element
`java.lang.String` | `getMappedName()` Returns the `mapped-name` element
`java.util.List<PortComponentRefType<ServiceRefType<T>>>` | `getPortComponentRefList()` Returns all `port-component-ref` elements
`java.lang.String` | `getServiceInterface()` Returns the `service-interface` element
`java.lang.String` | `getServiceQname()` Returns the `service-qname` element
`java.lang.String` | `getServiceRefName()` Returns the `service-ref-name` element
`java.lang.String` | `getServiceRefType()` Returns the `service-ref-type` element
`java.lang.String` | `getWsdlFile()` Returns the `wsdl-file` element
`ServiceRefHandlerType<ServiceRefType<T>>` | `handler()` Returns the `handler` element
`ServiceRefHandlerChainsType<ServiceRefType<T>>` | `handlerChains()` If not already created, a new `handler-chains` element will be created and returned.
`IconType<ServiceRefType<T>>` | `icon()` Returns the `icon` element
`InjectionTargetType<ServiceRefType<T>>` | `injectionTarget()` Returns the `injection-target` element
`PortComponentRefType<ServiceRefType<T>>` | `portComponentRef()` Returns the `port-component-ref` element
`ServiceRefType<T>` | `removeAllDescription()` Removes the `description` element
`ServiceRefType<T>` | `removeAllDisplayName()` Removes the `display-name` element
`ServiceRefType<T>` | `removeAllHandler()` Removes all `handler` elements
`ServiceRefType<T>` | `removeAllIcon()` Removes all `icon` elements
`ServiceRefType<T>` | `removeAllInjectionTarget()` Removes all `injection-target` elements
`ServiceRefType<T>` | `removeAllPortComponentRef()` Removes all `port-component-ref` elements
`ServiceRefType<T>` | `removeHandlerChains()` Removes the `handler-chains` element
`ServiceRefType<T>` | `removeJaxrpcMappingFile()` Removes the `jaxrpc-mapping-file` element
`ServiceRefType<T>` | `removeMappedName()` Removes the `mapped-name` element
`ServiceRefType<T>` | `removeServiceInterface()` Removes the `service-interface` element
`ServiceRefType<T>` | `removeServiceQname()` Removes the `service-qname` element
`ServiceRefType<T>` | `removeServiceRefName()` Removes the `service-ref-name` element
`ServiceRefType<T>` | `removeServiceRefType()` Removes the `service-ref-type` element
`ServiceRefType<T>` | `removeWsdlFile()` Removes the `wsdl-file` element
`ServiceRefType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`ServiceRefType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`ServiceRefType<T>` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`ServiceRefType<T>` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`ServiceRefType<T>` | `setJaxrpcMappingFile(java.lang.String jaxrpcMappingFile)` If not already created, a new `jaxrpc-mapping-file` element with the given value will be created.
`ServiceRefType<T>` | `setMappedName(java.lang.String mappedName)` If not already created, a new `mapped-name` element with the given value will be created.
`ServiceRefType<T>` | `setServiceInterface(java.lang.String serviceInterface)` If not already created, a new `service-interface` element with the given value will be created.
`ServiceRefType<T>` | `setServiceQname(java.lang.String serviceQname)` If not already created, a new `service-qname` element with the given value will be created.
`ServiceRefType<T>` | `setServiceRefName(java.lang.String serviceRefName)` If not already created, a new `service-ref-name` element with the given value will be created.
`ServiceRefType<T>` | `setServiceRefType(java.lang.String serviceRefType)` If not already created, a new `service-ref-type` element with the given value will be created.
`ServiceRefType<T>` | `setWsdlFile(java.lang.String wsdlFile)` If not already created, a new `wsdl-file` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceRefTypeImpl

    public ServiceRefTypeImpl(T t,
                              java.lang.String nodeName,
                              org.jboss.shrinkwrap.descriptor.spi.Node node)

### ServiceRefTypeImpl

    public ServiceRefTypeImpl(T t,
                              java.lang.String nodeName,
                              org.jboss.shrinkwrap.descriptor.spi.Node node,
                              org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public ServiceRefType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### setDescriptionList

    public ServiceRefType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `ServiceRefType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `ServiceRefType`

### removeAllDescription

    public ServiceRefType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `ServiceRefType<T>`
  Returns:
    list of `description`

### setDisplayName

    public ServiceRefType<T> setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Specified by:
    `setDisplayName` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### setDisplayNameList

    public ServiceRefType<T> setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Specified by:
    `setDisplayNameList` in interface `ServiceRefType<T>`
  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `ServiceRefType`

### removeAllDisplayName

    public ServiceRefType<T> removeAllDisplayName()

  Removes the `display-name` element

  Specified by:
    `removeAllDisplayName` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### getDisplayNameList

    public java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Specified by:
    `getDisplayNameList` in interface `ServiceRefType<T>`
  Returns:
    list of `display-name`

### removeAllIcon

    public ServiceRefType<T> removeAllIcon()

  Removes all `icon` elements

  Specified by:
    `removeAllIcon` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### icon

    public IconType<ServiceRefType<T>> icon()

  Returns the `icon` element

  Specified by:
    `icon` in interface `ServiceRefType<T>`
  Returns:
    the node defined for the element `icon`

### getIconList

    public java.util.List<IconType<ServiceRefType<T>>> getIconList()

  Returns all `icon` elements

  Specified by:
    `getIconList` in interface `ServiceRefType<T>`
  Returns:
    list of `icon`

### setMappedName

    public ServiceRefType<T> setMappedName(java.lang.String mappedName)

  If not already created, a new `mapped-name` element with the given value will be created. Otherwise, the existing `mapped-name` element will be updated with the given value.

  Specified by:
    `setMappedName` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### removeMappedName

    public ServiceRefType<T> removeMappedName()

  Removes the `mapped-name` element

  Specified by:
    `removeMappedName` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### getMappedName

    public java.lang.String getMappedName()

  Returns the `mapped-name` element

  Specified by:
    `getMappedName` in interface `ServiceRefType<T>`
  Returns:
    the node defined for the element `mapped-name`

### removeAllInjectionTarget

    public ServiceRefType<T> removeAllInjectionTarget()

  Removes all `injection-target` elements

  Specified by:
    `removeAllInjectionTarget` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### injectionTarget

    public InjectionTargetType<ServiceRefType<T>> injectionTarget()

  Returns the `injection-target` element

  Specified by:
    `injectionTarget` in interface `ServiceRefType<T>`
  Returns:
    the node defined for the element `injection-target`

### getInjectionTargetList

    public java.util.List<InjectionTargetType<ServiceRefType<T>>> getInjectionTargetList()

  Returns all `injection-target` elements

  Specified by:
    `getInjectionTargetList` in interface `ServiceRefType<T>`
  Returns:
    list of `injection-target`

### setServiceRefName

    public ServiceRefType<T> setServiceRefName(java.lang.String serviceRefName)

  If not already created, a new `service-ref-name` element with the given value will be created. Otherwise, the existing `service-ref-name` element will be updated with the given value.

  Specified by:
    `setServiceRefName` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### removeServiceRefName

    public ServiceRefType<T> removeServiceRefName()

  Removes the `service-ref-name` element

  Specified by:
    `removeServiceRefName` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### getServiceRefName

    public java.lang.String getServiceRefName()

  Returns the `service-ref-name` element

  Specified by:
    `getServiceRefName` in interface `ServiceRefType<T>`
  Returns:
    the node defined for the element `service-ref-name`

### setServiceInterface

    public ServiceRefType<T> setServiceInterface(java.lang.String serviceInterface)

  If not already created, a new `service-interface` element with the given value will be created. Otherwise, the existing `service-interface` element will be updated with the given value.

  Specified by:
    `setServiceInterface` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### removeServiceInterface

    public ServiceRefType<T> removeServiceInterface()

  Removes the `service-interface` element

  Specified by:
    `removeServiceInterface` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### getServiceInterface

    public java.lang.String getServiceInterface()

  Returns the `service-interface` element

  Specified by:
    `getServiceInterface` in interface `ServiceRefType<T>`
  Returns:
    the node defined for the element `service-interface`

### setServiceRefType

    public ServiceRefType<T> setServiceRefType(java.lang.String serviceRefType)

  If not already created, a new `service-ref-type` element with the given value will be created. Otherwise, the existing `service-ref-type` element will be updated with the given value.

  Specified by:
    `setServiceRefType` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### removeServiceRefType

    public ServiceRefType<T> removeServiceRefType()

  Removes the `service-ref-type` element

  Specified by:
    `removeServiceRefType` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### getServiceRefType

    public java.lang.String getServiceRefType()

  Returns the `service-ref-type` element

  Specified by:
    `getServiceRefType` in interface `ServiceRefType<T>`
  Returns:
    the node defined for the element `service-ref-type`

### setWsdlFile

    public ServiceRefType<T> setWsdlFile(java.lang.String wsdlFile)

  If not already created, a new `wsdl-file` element with the given value will be created. Otherwise, the existing `wsdl-file` element will be updated with the given value.

  Specified by:
    `setWsdlFile` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### removeWsdlFile

    public ServiceRefType<T> removeWsdlFile()

  Removes the `wsdl-file` element

  Specified by:
    `removeWsdlFile` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### getWsdlFile

    public java.lang.String getWsdlFile()

  Returns the `wsdl-file` element

  Specified by:
    `getWsdlFile` in interface `ServiceRefType<T>`
  Returns:
    the node defined for the element `wsdl-file`

### setJaxrpcMappingFile

    public ServiceRefType<T> setJaxrpcMappingFile(java.lang.String jaxrpcMappingFile)

  If not already created, a new `jaxrpc-mapping-file` element with the given value will be created. Otherwise, the existing `jaxrpc-mapping-file` element will be updated with the given value.

  Specified by:
    `setJaxrpcMappingFile` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### removeJaxrpcMappingFile

    public ServiceRefType<T> removeJaxrpcMappingFile()

  Removes the `jaxrpc-mapping-file` element

  Specified by:
    `removeJaxrpcMappingFile` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### getJaxrpcMappingFile

    public java.lang.String getJaxrpcMappingFile()

  Returns the `jaxrpc-mapping-file` element

  Specified by:
    `getJaxrpcMappingFile` in interface `ServiceRefType<T>`
  Returns:
    the node defined for the element `jaxrpc-mapping-file`

### setServiceQname

    public ServiceRefType<T> setServiceQname(java.lang.String serviceQname)

  If not already created, a new `service-qname` element with the given value will be created. Otherwise, the existing `service-qname` element will be updated with the given value.

  Specified by:
    `setServiceQname` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### removeServiceQname

    public ServiceRefType<T> removeServiceQname()

  Removes the `service-qname` element

  Specified by:
    `removeServiceQname` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### getServiceQname

    public java.lang.String getServiceQname()

  Returns the `service-qname` element

  Specified by:
    `getServiceQname` in interface `ServiceRefType<T>`
  Returns:
    the node defined for the element `service-qname`

### removeAllPortComponentRef

    public ServiceRefType<T> removeAllPortComponentRef()

  Removes all `port-component-ref` elements

  Specified by:
    `removeAllPortComponentRef` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### portComponentRef

    public PortComponentRefType<ServiceRefType<T>> portComponentRef()

  Returns the `port-component-ref` element

  Specified by:
    `portComponentRef` in interface `ServiceRefType<T>`
  Returns:
    the node defined for the element `port-component-ref`

### getPortComponentRefList

    public java.util.List<PortComponentRefType<ServiceRefType<T>>> getPortComponentRefList()

  Returns all `port-component-ref` elements

  Specified by:
    `getPortComponentRefList` in interface `ServiceRefType<T>`
  Returns:
    list of `port-component-ref`

### removeAllHandler

    public ServiceRefType<T> removeAllHandler()

  Removes all `handler` elements

  Specified by:
    `removeAllHandler` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### handler

    public ServiceRefHandlerType<ServiceRefType<T>> handler()

  Returns the `handler` element

  Specified by:
    `handler` in interface `ServiceRefType<T>`
  Returns:
    the node defined for the element `handler`

### getHandlerList

    public java.util.List<ServiceRefHandlerType<ServiceRefType<T>>> getHandlerList()

  Returns all `handler` elements

  Specified by:
    `getHandlerList` in interface `ServiceRefType<T>`
  Returns:
    list of `handler`

### removeHandlerChains

    public ServiceRefType<T> removeHandlerChains()

  Removes the `handler-chains` element

  Specified by:
    `removeHandlerChains` in interface `ServiceRefType<T>`
  Returns:
    the current instance of `ServiceRefType`

### handlerChains

    public ServiceRefHandlerChainsType<ServiceRefType<T>> handlerChains()

  If not already created, a new `handler-chains` element will be created and returned. Otherwise, the existing `handler-chains` element will be returned.

  Specified by:
    `handlerChains` in interface `ServiceRefType<T>`
  Returns:
    the node defined for the element `handler-chains`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD